import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
const fs = require('fs')

// https://vitejs.dev/config/
export default defineConfig({
  server: {
    host: false
  },
  plugins: [vue()],
  resolve: {
    alias: {
      '@': '/src'
    },
    dedupe: ['vue']
  },
  define:{
    'process.env':{
      INSCODE_API_KEY:process.env.INSCODE_API_KEY
    }
  }

})
